CoordinateFieldType (Solr 3.6.2 API)
Keywords: org.apache.solr.schema.CoordinateFieldType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.schema
Class CoordinateFieldType

    java.lang.Object
      org.apache.solr.schema.FieldProperties
          org.apache.solr.schema.FieldType
              org.apache.solr.schema.AbstractSubTypeFieldType
                  org.apache.solr.schema.CoordinateFieldType

All Implemented Interfaces:
  SchemaAware

Direct Known Subclasses:
  PointType

    public abstract class CoordinateFieldType

extends AbstractSubTypeFieldType

A CoordinateFieldType is the base class for `FieldType`s that have semantics related to items in a coordinate system.
Implementations depend on a delegating work to a sub `FieldType`, specified by either the `AbstractSubTypeFieldType.SUB_FIELD_SUFFIX` or the `AbstractSubTypeFieldType.SUB_FIELD_TYPE` (the latter is used if both are defined.
Example:

    <fieldType name="xy" class="solr.PointType" dimension="2" subFieldType="double"/>

In theory, classes deriving from this should be able to do things like represent a point, a polygon, a line, etc.
NOTE: There can only be one sub Field Type.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.schema.FieldType
`FieldType.DefaultAnalyzer`

Field Summary
`static int` | `DEFAULT_DIMENSION` 2 dimensional by default
`protected int` | `dimension` The dimension of the coordinate system
`static String` | `DIMENSION`

Fields inherited from class org.apache.solr.schema.AbstractSubTypeFieldType
`dynFieldProps, schema, SUB_FIELD_SUFFIX, SUB_FIELD_TYPE, subType, suffix, suffixes`

Fields inherited from class org.apache.solr.schema.FieldType
`analyzer, args, falseProperties, log, POLY_FIELD_SEPARATOR, queryAnalyzer, trueProperties, typeName`

Fields inherited from class org.apache.solr.schema.FieldProperties
`BINARY, INDEXED, MULTIVALUED, OMIT_NORMS, OMIT_POSITIONS, OMIT_TF_POSITIONS, REQUIRED, SORT_MISSING_FIRST, SORT_MISSING_LAST, STORE_TERMOFFSETS, STORE_TERMPOSITIONS, STORE_TERMVECTORS, STORED, TOKENIZED`

Constructor Summary
`CoordinateFieldType()`

Method Summary
`int` | `getDimension()`

Methods inherited from class org.apache.solr.schema.AbstractSubTypeFieldType
`createSuffixCache, getFieldQuery, getSubType, inform, init, subField`

Methods inherited from class org.apache.solr.schema.FieldType
`createField, createField, createFields, getAnalyzer, getArg, getFieldIndex, getFieldStore, getFieldTermVec, getIndexOptions, getQueryAnalyzer, getRangeQuery, getSortField, getStringSort, getTypeName, getValueSource, getValueSource, hasProperty, indexedToReadable, isMultiValued, isPolyField, isTokenized, multiValuedFieldCache, readableToIndexed, restrictProps, setAnalyzer, setQueryAnalyzer, storedToIndexed, storedToReadable, toExternal, toInternal, toObject, toString, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dimension

    protected int dimension

  The dimension of the coordinate system

### DEFAULT_DIMENSION

    public static final int DEFAULT_DIMENSION

  2 dimensional by default

  See Also:
    Constant Field Values

### DIMENSION

    public static final String DIMENSION

See Also:
  Constant Field Values

Constructor Detail

### CoordinateFieldType

    public CoordinateFieldType()

Method Detail

### getDimension

    public int getDimension()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD